Bug 89474 - Inabilty to run File Roller's nautilis scripts
Inabilty to run File Roller's nautilis scripts
Product: Red Hat Linux
Classification: Retired
Component: file-roller (Show other bugs)
athlon Linux
low Severity low
: ---
: ---
Assigned To: Alexander Larsson
Depends On:
  Show dependency treegraph
Reported: 2003-04-23 07:26 EDT by Need Real Name
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-04-29 10:16:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2003-04-23 07:26:09 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20030131

Description of problem:
on a system upgraded from redhat 8 (all errata applied), existing nautilus file
roller script "extract_in_a_subfolder" (generated by filer roller under redhat
8) returns error "cannot load arcive". all other scripts function and are
unmodified.  script:


if test $# -ne 1; then
	exit 1

quoted=$(echo -e "$1" | awk 'BEGIN { FS = "\n" } { printf "%s\" ", $1 }' | sed
-e s#\"\"##)

eval "file-roller --force --extract-to=$dir_quoted $file_quoted"


Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. right click on an existing archive
2. selcect scripts->extract_in_a_subfolder


Actual Results:  received error "cannot load archive"

Expected Results:  diectory name of _archive created and archive's contents
extracted there.

Additional info:
Comment 1 Alexander Larsson 2003-04-29 10:16:57 EDT
I don't know why this is happening. However, that functionallity is deprecated.
You should use "Extract In A Sub-Folder" in the context menu.

I'm marking this WONTFIX since I don't want to spend time on a deprecated
feature. Please reopen this if you have problems with the new way to do this.

Note You need to log in before you can comment on or make changes to this bug.